﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;//使用UI组件必须添加这个命名空间

public class Player : MonoBehaviour {

	private Rigidbody rd;
	public int force = 10;
	private int score = 0;
	public Text text;
	public GameObject winText;

	// Use this for initialization
	void Start () {
		rd = GetComponent<Rigidbody> ();
	}
	
	// Update is called once per frame
	void Update () {
		float h = Input.GetAxis ("Horizontal");
		float v = Input.GetAxis ("Vertical");
		rd.AddForce (new Vector3(h, 0, v) * force);
	}

	void OnTriggerEnter(Collider collider){
		if (collider.tag == "Food") {
			score++;
			text.text = "Score: " + score.ToString ();
			if (score == 11) {
				winText.SetActive (true);
			}
			Destroy (collider.gameObject);
		}
	}
}
